<?php

require_once "db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $cadena="<center><br><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";
    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='CODIGO' SIZE='2' ></td>";
    $cadena.="<td><b>DESCRIPCI&Oacute;N</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='DESCRIPCION' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";

    $cadena.="</tr>";
    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Grabar();' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="</center>";
    echo $cadena;

}

//------------------------------------

if ($_POST['accion']=='grabar_jornada'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=$_POST['descripcion'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("insert into jornadas (codigo,descripcion) values('".$codigo."','".$descripcion."')");
    $obj->disconnect();

    if($resultado){
       echo "Registro Grabado";
    }
}
//------------------------------------

if ($_POST['accion']=='actualizar_jornada'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=$_POST['descripcion'];
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("update jornadas set descripcion ='".$descripcion."' where codigo='".$codigo."'");

    $obj->disconnect();

    if($resultado){
       echo "Jornada Actualizada";
    }
}

//------------------------------------

if ($_POST['accion']=='borrar_jornada'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select * from cursos where jornada='".$codigo."'");
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){
       echo "No se puede Eliminar la Jornada - Contiene Cursos -";
    }
    else{
      $resultado1=$obj->consulta("delete from jornadas where codigo='".$codigo."'");

       if($resultado1){
          echo "Jornada Eliminada";
       }
    }

    $obj->disconnect();

}

//------------------------------------

if ($_POST['accion']=='editar_jornada'){


     $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from jornadas where codigo='".$codigo."'");
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);


    $cadena="<center><br><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";
    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='CODIGO' VALUE='".$row['codigo']."' SIZE='2' readonly='readonly' ></td>";
    $cadena.="<td><b>DESCRIPCI&Oacute;N</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='DESCRIPCION' VALUE='".($row['descripcion'])."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";

    $cadena.="</tr>";
    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Actualizar();' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="<center>";
    echo $cadena;

}

?>